Results 1 to 8 of 8
  1. #1
    Join Date
    Jan 2008
    Location
    Toronto
    Posts
    68
    Plugin Contributions
    0

    Default which config files for upgrade?

    Sorry if this was in the docs and I missed it. Do we modify the dist-configure.php files and use them or our old config files during an upgrade.
    Thank You
    New Zenner

  2. #2
    Join Date
    Nov 2006
    Location
    Dartmouth, NS Canada
    Posts
    2,384
    Plugin Contributions
    0

    Default Re: which config files for upgrade?

    Follow the directions in the docs/2.readme_how_to_upgrade.html file. It clearly explains what to do with your config files.

    Rob
    Breakfast: the most important donut of the day.

  3. #3
    Join Date
    Jan 2008
    Location
    Toronto
    Posts
    68
    Plugin Contributions
    0

    Default Re: which config files for upgrade?

    Thanks Rob. I did find the info in the docs you mentioned: "If your /zen_new folder doesn't have "/includes/configure.php" and "/admin/includes/configure.php" files, copy them from your old store folder." Not what I expected. Glad I asked. Thanx again.
    New Zenner

  4. #4
    Join Date
    Jan 2004
    Posts
    65,402
    Blog Entries
    7
    Plugin Contributions
    232

    Default Re: which config files for upgrade?

    Since the v1.5.0 configure.php files are slightly different from the v1.3.9 files, you could let your 1.5.0 zc_install create new files for you, and then when you go live simply edit those files to reflect the update path where the store is actually located.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  5. #5
    Join Date
    Jan 2008
    Location
    Toronto
    Posts
    68
    Plugin Contributions
    0

    Default Re: which config files for upgrade?

    Hi doc - If I had done it your way _"let your 1.5.0 zc_install create new files for you" Would that have worked for the "Upgrade" option? I should explain that this is the first of however many attempts I need to do on a local install to make sure its ready to put online.
    I did the upgrade and used the "old-store" config files but now I have little black diamonds with white questions marks between each sentence of the site text content...strange.
    New Zenner

  6. #6
    Join Date
    Jan 2004
    Posts
    65,402
    Blog Entries
    7
    Plugin Contributions
    232

    Default Re: which config files for upgrade?

    The little-black diamonds are because your old store is in iso-8859-1 and not utf8, but the files for v1.5.0 are set to utf8 out-of-the-box.

    So, if you're gonna keep your old data, set your new store to latin1/iso-8859-1. Explained here: http://www.zen-cart.com/content.php?...8859-1-to-utf8 and was mentioned in the release announcement.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  7. #7
    Join Date
    Jan 2008
    Location
    Toronto
    Posts
    68
    Plugin Contributions
    0

    Default Re: which config files for upgrade?

    From the link you gave me ".......AND edit your configure.php file to set DB_CHARSET to 'latin1' instead of 'utf8' (add it if it doesn't exist):
    define('DB_CHARSET', 'latin1');....." My question is WHICH configure.php file? I added it to includes/configure.php and reverted the english.php file but no change.
    New Zenner

  8. #8
    Join Date
    Jan 2008
    Location
    Toronto
    Posts
    68
    Plugin Contributions
    0

    Default Re: which config files for upgrade?

    whups - I got the right english.php file. The diamonds are gone now. Thank you muchly.
    New Zenner

 

 

Similar Threads

  1. v155 [Done v155] Upgrade of config files sets ssl to true
    By badarac in forum Bug Reports
    Replies: 2
    Last Post: 22 Mar 2016, 12:46 PM
  2. Replies: 1
    Last Post: 29 Apr 2013, 05:40 PM
  3. v151 Config Files for Admin
    By gcopping in forum Upgrading to 1.5.x
    Replies: 12
    Last Post: 11 Apr 2013, 02:10 PM
  4. v150 Which PHP Files For Shipping Addresses?
    By DIHI in forum General Questions
    Replies: 7
    Last Post: 27 Jan 2012, 10:58 AM
  5. Can't Upgrade my Config Files???
    By FalconRidge in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 15 Jan 2007, 09:14 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR